declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly value: {
        readonly type: import("vue").PropType<string | number>;
        readonly required: true;
    };
    readonly name: import("vue").PropType<string | number>;
    readonly disabled: BooleanConstructor;
    readonly closable: {
        readonly type: import("vue").PropType<boolean>;
        readonly default: null;
    };
    readonly displayDirective: {
        readonly type: import("vue").PropType<import("./interface").TabDisplayDirective>;
        readonly default: "if";
    };
}>, {
    prefixCls: string;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly value: {
        readonly type: import("vue").PropType<string | number>;
        readonly required: true;
    };
    readonly name: import("vue").PropType<string | number>;
    readonly disabled: BooleanConstructor;
    readonly closable: {
        readonly type: import("vue").PropType<boolean>;
        readonly default: null;
    };
    readonly displayDirective: {
        readonly type: import("vue").PropType<import("./interface").TabDisplayDirective>;
        readonly default: "if";
    };
}>> & Readonly<{}>, {
    readonly closable: boolean;
    readonly disabled: boolean;
    readonly displayDirective: import("./interface").TabDisplayDirective;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
